# SPDX-FileCopyrightText: 2022 Copyright contributors to the cppTango project
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(helpers)

set(CLIENT_HEADERS
    AccessProxy.h
    ArchiveEventInfo.h
    AttrConfEventData.h
    AttrConfEventDataList.h
    AttrMemorizedType.h
    AttributeAlarmInfo.h
    AttributeEventInfo.h
    AttributeInfo.h
    AttributeInfoEx.h
    ChangeEventInfo.h
    CommandInfo.h
    DataReadyEventData.h
    DataReadyEventDataList.h
    DelayEvent.h
    DelayedEventSubThread.h
    DelayedEventUnsubThread.h
    DevCommandInfo.h
    DeviceAttributeConfig.h
    DeviceInfo.h
    DevIntrChangeEventData.h
    DevIntrChangeEventDataList.h
    EventConsumerKeepAliveThread.h
    EventData.h
    EventDataList.h
    EventQueue.h
    FwdAttrConfEventData.h
    FwdEventData.h
    LockerInfo.h
    LockingThread.h
    NotifdEventConsumer.h
    PeriodicEventInfo.h
    PipeEventData.h
    PipeEventDataList.h
    PipeInfo.h
    ApiExcept.h
    ApiUtil.h
    AsynReq.h
    AsynchRequest.h
    AttrReadEvent.h
    AttrWrittenEvent.h
    AttributeProxy.h
    CallBackThread.h
    Connection.h
    CmdDoneEvent.h
    Database.h
    DbClass.h
    DbAttribute.h
    DbHistory.h
    DbServer.h
    DbServerCache.h
    DbServerData.h
    DbServerInfo.h
    DbDevInfo.h
    DbDevExportInfo.h
    DbDevImportInfo.h
    DbDevFullInfo.h
    DbDevice.h
    DeviceAttribute_templ.h
    DeviceAttribute.h
    DeviceAttributeHistory.h
    DeviceData.h
    DeviceDataHistory.h
    DataElement.h
    DevicePipe.h
    DevicePipeBlob.h
    DeviceProxy.h
    DummyDeviceProxy.h
    EventConsumer.h
    FileDatabase.h
    Group.h
    GroupAttrReply.h
    GroupAttrReplyList.h
    GroupCmdReply.h
    GroupDeviceElement.h
    GroupElement.h
    GroupElementFactory.h
    GroupReply.h
    GroupCmdReplyList.h
    GroupReplyList.h
    LockThread.h
    NamedDevFailed.h
    NamedDevFailedList.h
    CallBack.h
    DbDatum.h
    TgRequest.h
    UniqIdent.h
    ZmqEventConsumer.h
)

install(FILES ${CLIENT_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/tango/client")

set(TANGO_CLIENT_HEADERS "${CLIENT_HEADERS}" PARENT_SCOPE)
